
/*
This is a JavaScript "servlet". The request and response 
objects have obvious roles. The session object provides the
identity of the currently logged in user (assuming some login context).
The container provides access to named resources via a system object.
The SMS Sender does the actual work of sending the message. 
This SMS Sender resource is only available within the container context.
*/

function handle( request, response ) {
  var to   = request.getParameter('to');
  var msg  = request.getParameter('msg');
  var user = session.getUser();

  var smsSender = system.getResource('SMS-Sender');
  var result = smsSender.send( user, to, msg );

  if( result ) {
    response.body = 'SMS sent';
  }
  else {
    response.body = 'SMS not sent';
  }

  response.send();
}